var defaultLanguage = "EN";
var currentLanguage = defaultLanguage;
var defaultContentLanguage = defaultLanguage;

var keyboardlayouts = {
    EN: "qwerty",
    ZH: "pinyin",
    AR: "arabic",
    TH: "qwerty",
	MS: "qwerty"
};
var momentlocale = {
    EN: "en",
    AR: "ar",
    ZH: "en",
    TH: "th",
	MS: "ms"
};

var langNames = {
    EN: "EN",
    AR: "العربية",
    ZH: "中文",
    TH: "TH",
	MS: "BM"
};

var dateFormats = {
    EN: "ddd MMMM D, Y",
    ZH: "ddd MMMM D, Y",
    AR: "ddd MMMM D, Y",
    TH: "ddd MMMM D, Y",
	MS: "ddd MMMM D, Y"
};

var translations = {
    home: {EN: "Home", AR: "الصفحة الرئيسية", ZH: "Home", TH: "บ้าน", MS: "Rumah"},
    shop: {EN: "Shop", AR: "المحلات", ZH: "搜寻", MS: "Kedai"},
    dine: {EN: "FOOD & BEVERAGE", AR: "FOOD & BEVERAGE", ZH: "FOOD & BEVERAGE", TH: "อาหารและเครื่องดื่ม", MS: "Makanan & Minuman"},
	fashion: {EN: "FASHION", AR: "", ZH: "", TH:"", MS: "Fesyen"},
    leed_well: {EN: "LEED & WELL", AR: "LEED & WELL", ZH: "LEED & WELL", TH: "ลีดแอนด์เวล"},
    public_art: {EN: "PUBLIC ART", AR: "PUBLIC ART", ZH: "PUBLIC ART", TH: "ศิลปะสาธารณะ"},
    floor: {EN: "Level", AR: "مستوى", ZH: "Level", TH: "ระดับ", MS: "Tingkat"},
    unit: {EN: "Unit", AR: "Unit", ZH: "Unit", TH: "หน่วย", MS: "Unit"},

    deals: {EN: "Offers", AR: "العروض", ZH: "Offers", TH: "ข้อเสนอ", MS: "Tawaran"},
    events: {EN: "Events", AR: "", ZH: "", TH: "", MS: "Acara"},
    infos: {EN: "Information", AR: "معلومات", ZH: "Information", TH: "ข้อมูล", MS: "Maklumat"},
    stores: {EN: "Stores", AR: "المحلات", ZH: "Stores", TH: "ร้านค้า", MS: "Kedai"},
    services: {EN: "Services", AR: "الخدمات", ZH: "Services", TH: "บริการ", MS: "Perkhidmatan"},
    facilities: {EN: "Facilities", AR: "Facilities", ZH: "Facilities", TH: "สิ่งอำนวยความสะดวก", MS: "Kemudahan"},
    categories: {EN: "Categories", AR: "التصنيفات", ZH: "Categories", TH: "หมวดหมู่", MS: "Kategori"},
    search: {EN: "Search", AR: "التصنيفات", ZH: "Search", TH: "ค้นหา", MS: "Carian"},
    map: {EN: "Show Map", AR: "عرض الخريطة", ZH: "Show Map", TH: "แสดงแผนที่", MS: "Tunjukkan Peta"},
    parking: {EN: "Parking", AR: "Parking", ZH: "Parking", TH: "ที่จอดรถ", MS: "Ruang Parkir"},
	dropoff: {EN: "Drop-Off", AR: "", ZH: "", TH: "", TH: "", MS: "Kawasan Turunkan Penumpang"},
	atm: {EN: "ATM", AR: "", ZH: "", TH: "", MS: "ATM"},
    highlights: {EN: "HAPPENINGS", AR: "", ZH: "", TH: "", MS: "Hal Ehwal Terkini"},

    deals_and_events: { EN: "All", AR: "كافة", ZH: "ALL", TH: "ทั้งหมด", MS: "Semua"},

    ongoing: { EN: "Ongoing", AR: "جاري", ZH: "Ongoing", TH: "กำลังดำเนินการ", MS: "Sedang berlangsung"},
    future: { EN: "Upcoming", AR: "آت", ZH: "Upcoming", TH: "กำลังจะเกิดขึ้น", MS: "Akan datang"},

    items_not_available: {
        EN: "Sorry, not available for the moment.",
        AR: "عذرا ، غير متوفر في الوقت الراهن.",
        ZH: "Sorry, not available for the moment."
    },

    back: {EN: "Back", AR: "رجوع", ZH: "返回", TH: "กลับ", MS: "Belakang"},
    close: {EN: "Close", AR: "إغلاق", ZH: "关闭", TH: "ปิด", MS: "Tutup"},
    pmr: {EN: "ACCESSIBLE ROUTE", AR: "طريق خاصة باصحاب الهمم", ZH: "ACCESSIBLE ROUTE", TH: "เส้นทางที่สามารถเข้าถึงได้", MS: "LALUAN YANG DAPAT DIPAKAI"},

    searchtext_placeholder: {
        EN: "Search",
        AR: "البحث",
        ZH: "你想去哪里？",
		TH: "ค้นหา",
		MS: "Carian"
    },
    height_adjust: {EN: "Height Adjust", ZH: "智能目录"},
    take_me_there: {EN: "Directions", AR: "خذني هناك", ZH: "Directions", TH: "ทิศทาง", MS: "Arah"},
    by_tag_results: {EN: "Related Stores", AR: "المتاجر ذات الصلة", ZH: "Related Stores", MS: "Kedai yang berkaitan"},
    go_to_nearest: {
        EN: "Show nearest",
        AR: "أرني الأقرب",
        ZH: "Show nearest",
		MS: "Arah terdekat"
    },
    qr_code_title: {
        EN: "Get the map<br>on your mobile",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "Get Map<br>on your phone",
		TH: "หาแผนที่บนมือถือของคุณ",
		MS: "Dapatkan peta ini <br>di telefon bimbit anda"
    },
    qr_code_poi_title: {
        EN: "Find the way<br>on your mobile",
        AR: "قم بتحميل الخريطة<br>على جوالك",
        ZH: "Get Map<br>on your phone",
		TH: "หาแผนที่บนมือถือของคุณ",
		MS: "Dapatkan arah di <br>telefon bimbit anda"
    },
    from: {EN: "From", AR: "من", ZH: "From", TH: "จาก", MS: "Dari"},
    to: {EN: "to", AR: "إلى", ZH: "to", TH: "ถึง", MS: "ke"},
    on: {EN: "On", AR: "على", ZH: "On", TH: "บน", MS: "pada/di"},
    in: {EN: "in", AR: "في", ZH: "in", TH: "ใน", MS: "dalam masa"},
    till: {EN: "till", AR: "حتى", ZH: "in", TH: "จนถึง", MS: "hingga"},

    info: {EN: "Info", AR: "معلومات", ZH: "in", MS: "Maklumat"},
    destination: {EN: "Destination", AR: "الوجهة", ZH: "in", MS: "Destinasi"},
    map_result_header: {EN: "Directions", AR: "الاتجاهات", ZH: "Directions", TH: "ทิศทาง", MS: "Arah"},
    location: {EN: "Location", AR: "Location", ZH: "Location", TH: "สถานที่", MS: "Lokasi"},
    contact: {EN: "Contact", AR: "Contact", ZH: "Contact", TH: "ติดต่อ", MS: "Hubungi"},
    open_hours: {EN: "Opening Hours", AR: "ساعات العمل", ZH: "Opening Hours", TH: "เวลาทำการ", MS: "Waktu Operasi"},

    more_info: {EN: "More Information", AR: "المزيد من المعلومات", ZH: "More Information", TH: "ข้อมูลมากกว่านี้", MS: "Maklumat lebih lanjut"},
    more_info_btn: {EN: "More Info", AR: "المزيد", NL: "MEER...", TH: "ข้อมูลที่มากกว่านี้", MS: "Maklumat lebih lanjut"},
    directions_to: {EN: "Directions to", AR: "الاتجاهات إلى", ZH: "in", TH: "ทิศทาง", MS: "Petunjuk ke"},
    distance: {EN: "DISTANCE", AR: "المسافة", ZH: "DISTANCE", TH: "ระยะทาง", MS: "Jarak"},
    time: {EN: "TIME", AR: "الوقت", ZH: "TIME", TH: "เวลา", MS: "MASA"},
    lift_route: {EN: "Lift Route", AR: "طريق المصعد", ZH: "in", TH: "ยกเส้นทาง", MS: "Laluan lif"},
    replay: {EN: "Replay", AR: "إعادة", ZH: "in", TH: "เล่นซ้ำ", MS: "Ulang semula"},

    more: {EN: "More", AR: "المزيد", ZH: "More", TH: "มากกว่า", MS: "Lebih lanjut"},
    space: {EN: "_", AR: "_", ZH: "_", TH: "_", MS: "_"},

    startAt: {EN: "Starting at ", AR: "يبدأ من ", ZH: "Starting at ", TH: "เริ่มต้นที่", MS: "Bermula di"},
    yourPosition: {EN: "your position ", AR: "موقعك ", ZH: "your position ", TH: "ตำแหน่งของคุณ", MS: "kedudukan anda"},
    yourDestination: {EN: "your destination ", AR: "وجهتك ", ZH: "your destination ", TH: "ปลายทางของคุณ", MS: "destinasi anda"},
    take_the: {EN: "Take the ", AR: "خذ ", ZH: "Take the ", TH: "ใช้", MS: "Ambil"},
    walk: {EN: "Walk to ", AR: "امشي الى ", ZH: "Walk to ", TH: "เดินไป", MS: "Berjalan ke"},
    to_level: {EN: " to level ", AR: " الى ألطابق ", ZH: " to level ", TH: "ในระดับ", MS: "ke tingkat"},
    ur_looking_this_way: {
        EN: "You are here facing this way",
        AR: "أنت تواجه هذا الاتجاه",
        ZH: "You are here facing this way",
		TH: "คุณอยู่ที่นี่ หันหน้าไปทางนี้",
		MS: "Anda di sini, menuju ke arah ini"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        AR: "إبدأ بالمشي بهذا الاتجاه",
        ZH: "Start walking this way",
		TH: "เริ่มเดินมาทางนี้",
		MS: "Mula berjalan ke arah ini"
    },

    fb_follow: { EN: "FOLLOW US ON FACEBOOK", ZH: "FOLLOW US ON FACEBOOK", TH: "ติดตามเราได้ที่  FACEBOOK" }
};

var custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C {space} V B N M"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? :"]
    },
    azerty: {
        normal: ["A Z E R T Y U I O P {bksp}", "Q S D F G H J K L M", "{shift} W X C {space} V B N & {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? : {normal}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > ? : {normal}", "{space}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 {space} \u6708 \u5F13 \u4E00 &"]
    },
    arabic: {
        normal: ["ض ص ث ق ف غ ع ه خ ح ج د {bksp}", "{shift} ذ ش س ي ب ل ا ت ن م ك ط {shift}", "أ ئ ء ؤ ر {space} لا ى ة و ز ظ"],
        shift: ["1 2 3 4 5 6 7 8 9 0 - = {bksp}", "ّ ! @ # $ % ^ & * ) ( _ + ", "{normal} ٍ  لأ ـ {space} ، / : {normal}"]
    }

};